IP Detection

IP 查詢 API

一次呼叫即可取得單一 IP、IP 範圍或主機名稱的完整判定。

查詢 IP

POST/v1/ip/lookup
API 金鑰

參數

  • targetstring必填

    IPv4、IPv6、CIDR 範圍或主機名稱。

回應欄位

  • target.kindstring

    ipv4、ipv6、cidr 或 hostname。

  • target.ipstring

    被偵測的位址。主機名稱則為其解析到的位址。

  • reserved.reservedboolean

    私有、保留及文件用 IP 範圍為 true。

  • verdict.classificationstring

    residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。

  • verdict.anonymizedboolean

    網絡隱藏了背後的使用者時為 true。託管網絡亦計算在內,已知基礎設施除外。

  • verdict.confidencenumber

    信心分數,範圍 0 至 1。

  • verdict.methodstring

    決定判定結果的訊號。

  • verdict.evidencestring[]

    可選。類別所依據的訊號,例如 vpn_server_list、relay_range 或 known_infra。

  • purityobject | null

    評分明細:score、grade、verdict 及 deductions。Starter 及以上方案提供,Free 方案為 null。

  • purity.scoreinteger

    純淨度分數,0 至 100。Starter 及以上方案提供,Free 方案為 null。

  • purity.gradestring

    S+、S、A、B 或 C。Starter 及以上方案提供,Free 方案為 null。

  • purity.verdictstring

    clean、suspect 或 dirty。Starter 及以上方案提供,Free 方案為 null。

  • purity.deductionsarray

    從分數中扣除的分值,各附原因。Starter 及以上方案提供,Free 方案為 null。

  • networkClassstring

    residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。

  • isVpnboolean

    僅 vpn、residential_proxy 及 tor 為 true,hosting 及 relay 一律為 false。

  • isProxyboolean

    代理(包括住宅代理)為 true。

  • isTorboolean

    Tor 出口節點為 true。

  • providerstring | null

    已知時為網絡擁有者的名稱。Starter 及以上方案提供,Free 方案為 null。

  • vpnProviderstring | null

    vpn 地址所屬的 VPN 服務(NordVPN、Mullvad 等),已知時返回。Starter 及以上方案提供,Free 方案為 null。

  • riskScoreinteger

    風險分數,0 至 100。

  • geoobject

    結構與 IP 歸屬地回應相同。

  • asnobject

    結構與 ASN 查詢回應相同。

  • whoisobject

    主機名稱目標的 WHOIS 紀錄。

  • degradedstring[]

    查詢中失敗並被略去的部分。

  • atstring

    查詢的時間。

  • lockedstring[]

    在目前方案下以 null 返回的欄位路徑(以點分隔)。Starter 及以上方案不返回此欄位。

  • planRequiredstring

    包含被鎖定欄位的方案。Starter 及以上方案不返回此欄位。

curl -X POST https://ipscanner.io/v1/ip/lookup \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"target":"8.8.8.8"}'
回應
{
  "target": {
    "raw": "8.8.8.8",
    "kind": "ipv4",
    "ip": "8.8.8.8"
  },
  "reserved": {
    "reserved": false
  },
  "verdict": {
    "classification": "hosting",
    "anonymized": false,
    "confidence": 0.9,
    "method": "org:hosting",
    "evidence": [
      "known_infra",
      "datacenter_range"
    ]
  },
  "purity": {
    "score": 86,
    "grade": "S",
    "verdict": "clean",
    "deductions": [
      {
        "factor": "network_origin",
        "points": 14,
        "detail": "hosting at high confidence"
      }
    ]
  },
  "networkClass": "hosting",
  "isVpn": false,
  "isProxy": false,
  "isTor": false,
  "provider": "GOOGLE",
  "vpnProvider": null,
  "riskScore": 25,
  "geo": {
    "ip": "8.8.8.8",
    "country": "United States",
    "countryCode": "US",
    "city": "",
    "region": "",
    "postalCode": "",
    "latitude": 37.751,
    "longitude": -97.822,
    "timezone": "America/Chicago",
    "accuracyRadius": 1000
  },
  "asn": {
    "ip": "8.8.8.8",
    "asn": "AS15169",
    "name": "GOOGLE",
    "type": "unknown",
    "country": "US"
  },
  "at": "2026-10-06T17:55:29.44292148Z"
}

無需金鑰試用

GET/v1/demo/{ip}
無需金鑰每個 IP 每日約 100 次

參數

  • ipstring路徑必填

    IPv4 或 IPv6 位址。

回應欄位

  • target.kindstring

    ipv4、ipv6、cidr 或 hostname。

  • target.ipstring

    被偵測的位址。主機名稱則為其解析到的位址。

  • reserved.reservedboolean

    私有、保留及文件用 IP 範圍為 true。

  • verdict.classificationstring

    residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。

  • verdict.anonymizedboolean

    網絡隱藏了背後的使用者時為 true。託管網絡亦計算在內,已知基礎設施除外。

  • verdict.confidencenumber

    信心分數,範圍 0 至 1。

  • verdict.methodstring

    決定判定結果的訊號。

  • verdict.evidencestring[]

    可選。類別所依據的訊號,例如 vpn_server_list、relay_range 或 known_infra。

  • purityobject | null

    評分明細:score、grade、verdict 及 deductions。Starter 及以上方案提供,Free 方案為 null。

  • purity.scoreinteger

    純淨度分數,0 至 100。Starter 及以上方案提供,Free 方案為 null。

  • purity.gradestring

    S+、S、A、B 或 C。Starter 及以上方案提供,Free 方案為 null。

  • purity.verdictstring

    clean、suspect 或 dirty。Starter 及以上方案提供,Free 方案為 null。

  • purity.deductionsarray

    從分數中扣除的分值,各附原因。Starter 及以上方案提供,Free 方案為 null。

  • networkClassstring

    residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。

  • isVpnboolean

    僅 vpn、residential_proxy 及 tor 為 true,hosting 及 relay 一律為 false。

  • isProxyboolean

    代理(包括住宅代理)為 true。

  • isTorboolean

    Tor 出口節點為 true。

  • providerstring | null

    已知時為網絡擁有者的名稱。Starter 及以上方案提供,Free 方案為 null。

  • vpnProviderstring | null

    vpn 地址所屬的 VPN 服務(NordVPN、Mullvad 等),已知時返回。Starter 及以上方案提供,Free 方案為 null。

  • riskScoreinteger

    風險分數,0 至 100。

  • geoobject

    結構與 IP 歸屬地回應相同。

  • asnobject

    結構與 ASN 查詢回應相同。

  • whoisobject

    主機名稱目標的 WHOIS 紀錄。

  • degradedstring[]

    查詢中失敗並被略去的部分。

  • atstring

    查詢的時間。

  • lockedstring[]

    在目前方案下以 null 返回的欄位路徑(以點分隔)。Starter 及以上方案不返回此欄位。

  • planRequiredstring

    包含被鎖定欄位的方案。Starter 及以上方案不返回此欄位。

curl https://ipscanner.io/v1/demo/185.220.101.1
回應
{
  "target": {
    "raw": "185.220.101.1",
    "kind": "ipv4",
    "ip": "185.220.101.1"
  },
  "reserved": {
    "reserved": false
  },
  "verdict": {
    "classification": "tor",
    "anonymized": true,
    "confidence": 0.95,
    "method": "tor_set",
    "evidence": [
      "tor_exit_list"
    ]
  },
  "networkClass": "tor",
  "isVpn": true,
  "isProxy": true,
  "isTor": true,
  "riskScore": 100,
  "asn": {
    "ip": "185.220.101.1",
    "asn": "AS60729",
    "name": "Stiftung Erneuerbare Freiheit",
    "type": "unknown",
    "country": "DE"
  },
  "at": "2026-10-08T21:55:08.590700162Z",
  "purity": null,
  "provider": null,
  "vpnProvider": null,
  "geo": {
    "ip": "185.220.101.1",
    "country": "Germany",
    "countryCode": "DE",
    "city": "Brandenburg",
    "region": "Brandenburg",
    "timezone": "Europe/Berlin",
    "latitude": null,
    "longitude": null,
    "postalCode": null,
    "accuracyRadius": null
  },
  "locked": [
    "purity",
    "provider",
    "vpnProvider",
    "geo.latitude",
    "geo.longitude",
    "geo.postalCode",
    "geo.accuracyRadius"
  ],
  "planRequired": "Starter"
}

您自己的 IP

GET/v1/myip
無需金鑰

回應欄位

  • ipv4string

    您經 IPv4 連線時的 IPv4 位址。

  • ipv6string

    您經 IPv6 連線時的 IPv6 位址。

  • countrystring

    國家名稱。

  • countryCodestring

    兩位 ISO 國家代碼。

  • citystring

    城市名稱。

  • regionstring

    地區或州。

  • latitudenumber

    緯度。

  • longitudenumber

    經度。

  • timezonestring

    IANA 時區。

  • asnstring

    自治系統號碼,例如 AS15169。

  • asnNamestring

    營運該網絡的機構名稱。

  • asnTypestring

    hosting、isp、vpn、education、government、mobile 或 unknown。

curl https://ipscanner.io/v1/myip
回應
{
  "ipv4": "203.0.113.42",
  "country": "Canada",
  "countryCode": "CA",
  "city": "Montreal",
  "region": "Quebec",
  "postalCode": "H1K",
  "latitude": 45.6085,
  "longitude": -73.5493,
  "timezone": "America/Toronto",
  "accuracyRadius": 5,
  "asn": "AS5769",
  "asnName": "VIDEOTRON",
  "asnType": "isp",
  "asnCountry": "CA"
}